/********************************************************************
* Licensed Materials - Property of IBM
* 5724-T05
*
* (C) Copyright IBM Corp. 2003,2010. All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*********************************************************************/

DECLARE

  vNewQuery  INTEGER;

  CURSOR csrScenario IS
     SELECT ID, UserID, TYPE, SystemID, Query_ID FROM PM_Scenario
       WHERE TYPE IN ('A','C')
       FOR UPDATE OF Query_ID;

BEGIN

  FOR vScenario IN csrScenario LOOP

    vNewQuery := WM_Scenario.Create_Scenario_Query( vScenario.SystemID, vScenario.TYPE );
    UPDATE PM_Scenario SET Query_ID = vNewQuery WHERE CURRENT OF csrScenario;

  END LOOP;

  COMMIT;
END;
/
EXIT;
